/* This is the custom login page for the customer.
It is loaded into the head via setup.php
and the function 'theme_custom_login()' */

@font-face {
    font-family: 'Nunito';
    src: url('../fonts/nunito/Nunito-VariableFont_wght.ttf') format('truetype');
    font-display: swap;
}

:root {
    --background-color: #FEF9F3;
    --primary-color: #0E4E50;
    --secondary-color: #001B1D;
    --text-color: #3B4540;
    --background-text-color: #0E4E50;
    --text-hover-color: white;
    --logo: url('../../resources/images/svg/logo.svg');
    --font-family: 'Nunito', sans-serif;
    --font-size: 16px;
}

.login {
    background: var(--background-color);
    font-family: var(--font-family), sans-serif;
    font-size: var(--font-size);
}

#login label {
    font-family: var(--font-family), sans-serif;
    font-size: calc(var(--font-size) - 2px);
}

.login #wp-submit {
    background-color: #1d1d1b;
    color: var(--text-color);
    font-family: var(--font-family), sans-serif;
}

.login h1 {
    margin-bottom: 10px;
}

.login h1 a {
    background-image: var(--logo);
    background-image: none, var(--logo);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    padding: 10px 20px;
    margin: 0 auto;
    font-size: 20px;
    font-weight: 400;
    line-height: 1.3;
    text-decoration: none;
    width: 55%;
    text-indent: -9999px;
    outline: none;
    overflow: hidden;
    display: block;
    transition: transform 300ms 100ms ease-in;
}

.login h1 a:hover {
    transform: scale(1.01);
}

.login form {
    margin-top: 20px;
    margin-left: 0;
    padding: 32px;
    font-weight: 400;
    overflow: hidden;
    background: white;
    border-radius: 8px;
    border: 0 solid transparent;
    box-shadow: 0px 2px 14.9px 0px rgba(0, 0, 0, 0.20);
}

.login form input {
    border: 2px solid #D4E1E1;
}

.login form input:focus {
    border: 1px solid var(--primary-color);
    background: #FDF3E7;
}

.login form input {
    font-family: Philosopher, sans-serif;
    font-size: smaller;
}

.login .message {
    margin: 20px auto;
    border-left: 8px solid var(--secondary-color);
    border-radius: 0 5px;
}

#nav a,
#backtoblog a {
    color: var(--background-text-color) !important;
}

.dashicons-translation::before {
    color: var(--background-text-color);
}

input.button {
    background: var(--primary-color) !important;
    color: white !important;
    border-radius: 4px !important;
    padding: 0 8px !important;
    border: 0 !important;
}

input.button:hover {
    background: var(--secondary-color) !important;
    color: var(--text-hover-color) !important;
}

#login_error {
    font-size: calc(var(--font-size) - 2px);
}
